## org.jfree.report.modules.gui.common
Interface IconTheme

All Known Implementing Classes:
  DefaultIconTheme

    public interface IconTheme

An Icon-Theme is an extension point to replace the icons that are used by JFreeReport. Icons provided by the theme must be available in two flavours: Large (24x24) and small (16x16).

Author:
  Thomas Morgner

Method Summary
`javax.swing.Icon` `getLargeIcon(java.util.Locale locale, java.lang.String id)`
`javax.swing.Icon` `getSmallIcon(java.util.Locale locale, java.lang.String id)`
`void` `initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)`

Method Detail

### initialize

    void initialize(org.pentaho.reporting.libraries.base.config.Configuration configuration)

### getSmallIcon

    javax.swing.Icon getSmallIcon(java.util.Locale locale,
                                  java.lang.String id)

### getLargeIcon

    javax.swing.Icon getLargeIcon(java.util.Locale locale,
                                  java.lang.String id)